import { Component, h, State } from '@stencil/core';
import { PrismicResponsiveImage } from '../prismic/PrismicResponsiveImage';
import { PrismicRichText } from '../prismic/PrismicRichText';
import { Button, Grid, Col, Card, CardContent, Heading, Paragraph, Breakpoint, ThemeProvider } from '../../../core';
import Prismic from 'prismic-javascript';
export class Demo {
    constructor() {
        this.getPage = async (prismicId) => {
            const apiURL = 'https://ionicframeworkcom.prismic.io/api/v2';
            const defaults = {
                title: 'Ionic - Putting Web Technologies to Work For You',
                description: 'Build iOS, Android, and Progressive Web Apps with HTML, CSS, and JavaScript',
                meta_image: 'https://ionicframework.com/img/meta/ionic-framework-og.png'
            };
            if (!prismicId)
                return;
            try {
                const api = await Prismic.getApi(apiURL);
                const response = await api.getSingle(prismicId);
                this.data = response.data;
                console.log(response.data);
                // if the page has meta data, set it, otherwise use the default
                // note, if you're hard coding meta data, do it after calling getPage()
                ['title', 'description', 'meta_image'].forEach(prop => {
                    this.data[prop] = response.data[prop] ? response.data[prop] : defaults[prop];
                });
            }
            catch (e) {
                console.warn(e);
            }
        };
    }
    componentWillLoad() {
        this.getPage('ionicio_homepage');
    }
    render() {
        const { data } = this;
        if (!data)
            return;
        return (h("div", { class: "demos" },
            console.log(data),
            h(PrismicRichText, { richText: data.section3__left[0].content, level: 6 }),
            h(PrismicResponsiveImage, { image: { 'url': 'https://www.google.com?w=700&h=600', 'alt': 'google website', '1x': { 'url': 'www.google.com' } }, loading: '', params: { orient: '0', rot: '58', w: '100' } }),
            h("site-platform-bar", { "product-name": "Stencil" }),
            h(Breakpoint, { class: "jumanjii", xs: true, sm: false, display: 'inline-block' }, "YO HO HO AND A BOTTLE OF RUM!"),
            h(ButtonDemo, null),
            h(HeadingDemo, null),
            h(ParagraphDemo, null),
            h(GridDemo, null),
            h(CardDemo, null),
            h(MoresResourcesDemo, null)));
    }
    static get is() { return "shared-demo"; }
    static get originalStyleUrls() { return {
        "$": ["demo.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["demo.css"]
    }; }
    static get states() { return {
        "data": {}
    }; }
}
const ButtonDemo = () => (h("div", { class: "demo demo-button" },
    h(Heading, { level: 3, bordered: true }, "Buttons"),
    h(Button, null, "Button")));
const ParagraphDemo = () => (h("div", { class: "demo demo-heading" },
    h(Paragraph, { level: 1 }, "La final de la Copa de Campeones de Europa de 1977-78 fue un partido de f\u00FAtbol disputado el 10 de mayo de 1978 entre el Liverpool de Inglaterra y el Club Brujas de B\u00E9lgica en el Estadio Wembley de Londres, lugar definido por el comit\u00E9 ejecutivo de la UEFA el 20 de septiembre de 1977. El partido defini\u00F3 al campe\u00F3n de la Copa de Campeones de Europa 1977-78, principal competici\u00F3n futbol\u00EDstica europea de la temporada. Liverpool lleg\u00F3 a la instancia como el vigente campe\u00F3n y esta era su segunda final en la competencia, mientras que para Club Brujas era la primera vez que llegaba al encuentro definitorio. Anteriormente se enfrentaron en la final de la Copa de la UEFA 1975-76, con victoria por 4-3 del equipo ingl\u00E9s en el global."),
    h(Paragraph, { level: 2 }, "La final de la Copa de Campeones de Europa de 1977-78 fue un partido de f\u00FAtbol disputado el 10 de mayo de 1978 entre el Liverpool de Inglaterra y el Club Brujas de B\u00E9lgica en el Estadio Wembley de Londres, lugar definido por el comit\u00E9 ejecutivo de la UEFA el 20 de septiembre de 1977. El partido defini\u00F3 al campe\u00F3n de la Copa de Campeones de Europa 1977-78, principal competici\u00F3n futbol\u00EDstica europea de la temporada. Liverpool lleg\u00F3 a la instancia como el vigente campe\u00F3n y esta era su segunda final en la competencia, mientras que para Club Brujas era la primera vez que llegaba al encuentro definitorio. Anteriormente se enfrentaron en la final de la Copa de la UEFA 1975-76, con victoria por 4-3 del equipo ingl\u00E9s en el global."),
    h(Paragraph, { level: 3 }, "La final de la Copa de Campeones de Europa de 1977-78 fue un partido de f\u00FAtbol disputado el 10 de mayo de 1978 entre el Liverpool de Inglaterra y el Club Brujas de B\u00E9lgica en el Estadio Wembley de Londres, lugar definido por el comit\u00E9 ejecutivo de la UEFA el 20 de septiembre de 1977. El partido defini\u00F3 al campe\u00F3n de la Copa de Campeones de Europa 1977-78, principal competici\u00F3n futbol\u00EDstica europea de la temporada. Liverpool lleg\u00F3 a la instancia como el vigente campe\u00F3n y esta era su segunda final en la competencia, mientras que para Club Brujas era la primera vez que llegaba al encuentro definitorio. Anteriormente se enfrentaron en la final de la Copa de la UEFA 1975-76, con victoria por 4-3 del equipo ingl\u00E9s en el global."),
    h(Paragraph, { level: 4, leading: 'prose' }, "La final de la Copa de Campeones de Europa de 1977-78 fue un partido de f\u00FAtbol disputado el 10 de mayo de 1978 entre el Liverpool de Inglaterra y el Club Brujas de B\u00E9lgica en el Estadio Wembley de Londres, lugar definido por el comit\u00E9 ejecutivo de la UEFA el 20 de septiembre de 1977. El partido defini\u00F3 al campe\u00F3n de la Copa de Campeones de Europa 1977-78, principal competici\u00F3n futbol\u00EDstica europea de la temporada. Liverpool lleg\u00F3 a la instancia como el vigente campe\u00F3n y esta era su segunda final en la competencia, mientras que para Club Brujas era la primera vez que llegaba al encuentro definitorio. Anteriormente se enfrentaron en la final de la Copa de la UEFA 1975-76, con victoria por 4-3 del equipo ingl\u00E9s en el global."),
    h(Paragraph, { level: 5, leading: 'prose' }, "La final de la Copa de Campeones de Europa de 1977-78 fue un partido de f\u00FAtbol disputado el 10 de mayo de 1978 entre el Liverpool de Inglaterra y el Club Brujas de B\u00E9lgica en el Estadio Wembley de Londres, lugar definido por el comit\u00E9 ejecutivo de la UEFA el 20 de septiembre de 1977. El partido defini\u00F3 al campe\u00F3n de la Copa de Campeones de Europa 1977-78, principal competici\u00F3n futbol\u00EDstica europea de la temporada. Liverpool lleg\u00F3 a la instancia como el vigente campe\u00F3n y esta era su segunda final en la competencia, mientras que para Club Brujas era la primera vez que llegaba al encuentro definitorio. Anteriormente se enfrentaron en la final de la Copa de la UEFA 1975-76, con victoria por 4-3 del equipo ingl\u00E9s en el global."),
    h(Paragraph, { level: 6 }, "La final de la Copa de Campeones de Europa de 1977-78 fue un partido de f\u00FAtbol disputado el 10 de mayo de 1978 entre el Liverpool de Inglaterra y el Club Brujas de B\u00E9lgica en el Estadio Wembley de Londres, lugar definido por el comit\u00E9 ejecutivo de la UEFA el 20 de septiembre de 1977. El partido defini\u00F3 al campe\u00F3n de la Copa de Campeones de Europa 1977-78, principal competici\u00F3n futbol\u00EDstica europea de la temporada. Liverpool lleg\u00F3 a la instancia como el vigente campe\u00F3n y esta era su segunda final en la competencia, mientras que para Club Brujas era la primera vez que llegaba al encuentro definitorio. Anteriormente se enfrentaron en la final de la Copa de la UEFA 1975-76, con victoria por 4-3 del equipo ingl\u00E9s en el global.")));
const HeadingDemo = () => (h("div", { class: "demo demo-heading" },
    h(ThemeProvider, { type: 'editorial' },
        h(Heading, { level: 1, as: 'h6' }, "Headings"),
        h(Heading, { level: 3, as: 'h5' }, "Level 1"),
        h(Heading, { level: 2 }, "Level 2"),
        h(Heading, { level: 3 }, "Level 3"),
        h(Heading, { level: 4 }, "Level 4"),
        h(Heading, { level: 5 }, "Level 5"),
        h(Heading, { level: 6 }, "Level 6"))));
const GridDemo = () => (h("div", { class: "demo demo-grid" },
    h(Heading, { level: 3, bordered: true }, "Grid"),
    h(Grid, { class: "demo demo-grid" },
        h(Col, { md: 3, sm: 3, xs: 3, cols: 12 }, "Column 1"),
        h(Col, { md: 3, sm: 3, xs: 3, cols: 12 }, "Column 2"),
        h(Col, { md: 3, sm: 3, xs: 3, cols: 12 }, "Column 3"),
        h(Col, { md: 3, sm: 3, xs: 3, cols: 12 }, "Column 4"))));
const CardDemo = () => (h("div", { class: "demo demo-card" },
    h(Heading, { level: 3, bordered: true }, "Cards"),
    h(Card, null,
        h(CardContent, null,
            h("hgroup", null,
                h(Heading, { level: 3 }, "Card"),
                h(Paragraph, null, "Unicorn next level roof party health goth, squid brooklyn pabst biodiesel kickstarter man bun small batch kale chips flexitarian. Edison bulb selfies mumblecore ethical, helvetica affogato palo santo. Taxidermy humblebrag hexagon, pabst stumptown PBR&B succulents. Lumbersexual fam shabby chic cardigan lomo quinoa put a bird on it salvia authentic hell of migas aesthetic truffaut gentrify tattooed. Migas direct trade polaroid distillery, ugh brunch farm-to-table fingerstache vaporware readymade occupy aesthetic four dollar toast. Freegan lyft vegan ramps vexillologist taxidermy listicle vinyl blue bottle pug."))))));
const MoresResourcesDemo = () => (h("div", null,
    h("more-resources", { resources: [
            { uid: 'capacitor-vs-cordova-modern-hybrid-app-development', type: 'article' },
            { uid: 'capacitor-vs-cordova-modern-hybrid-app-development', type: 'article' },
            { uid: 'capacitor-vs-cordova-modern-hybrid-app-development', type: 'article' },
            { uid: 'capacitor-vs-cordova-modern-hybrid-app-development', type: 'article' },
            { uid: 'capacitor-vs-cordova-modern-hybrid-app-development', type: 'article' },
            { uid: 'capacitor-vs-cordova-modern-hybrid-app-development', type: 'article' },
        ] })));
